##### basic_datagram_socket::release (1 of 2 overloads)

Inherited from basic_socket.

Release ownership of the underlying native socket.

    native_handle_type release();

This function causes all outstanding asynchronous connect, send and receive operations to finish immediately, and the handlers for cancelled operations will be passed the `asio::error::operation_aborted` error. Ownership of the native socket is then transferred to the caller.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

This function is unsupported on Windows versions prior to Windows 8.1, and will fail with `asio::error::operation_not_supported` on these platforms.